S3D_ANGLE_TO_CAM(3)

NAME
s3d_angle_to_cam - calculate angle between vector and cam

SYNOPSIS

#include <s3d.h>

float s3d_angle_to_cam(const float obj_pos[], const float cam_pos[], float *angle_rad);

DESCRIPTION

Given obj_pos and cam_pos in the format float[3], angle_rad about which angle the object should be rotated around the y-axis so that it faces the camera. This might become handy if you have some text floating in space and want it to face the camera. http://en.wikipedia.org/wiki/Vector_(spatial)

AUTHOR

Simon Wunderlich
    Author of s3d